[workspace]
resolver = "3"
members = ["lib/*", "program/*"]

[workspace.package]
version = "0.1.0"

[workspace.metadata.crane]
name = "nix-machines"

[workspace.dependencies]
anyhow = { version = "1.0.98", default-features = false, features = ["std"] }
base64 = { version = "0.22.1", default-features = false, features = ["std"] }
clap = { version = "4.5.39", default-features = false, features = [
	"color",
	"error-context",
	"help",
	"std",
	"suggestions",
	"usage",
	"derive",
] }
log = { version = "0.4.27", default-features = false, features = ["std"] }
nix = { version = "0.30.1", default-features = false, features = ["process"] }
serde = { version = "1.0.219", default-features = false, features = [
	"derive",
	"std",
] }
serde_json = { version = "1.0.140", default-features = false, features = [
	"std",
] }
serde_repr = { version = "0.1.20", default-features = false }
serde_yml = { version = "0.0.12", default-features = false }
